%define upstream_name	 Crypt-DSA
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    DSA Signatures and Key Generation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%upstream_name/
Source0:    http://www.cpan.org/modules/by-module/Cryp:/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Crypt-DSA-1.17-CVE-2011-3599.patch

BuildRequires: perl(Data::Buffer) >= 0.10.0
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildArch:  noarch

%description
Crypt::DSA is an implementation of the DSA (Digital
Signature Algorithm) signature verification system.
The implementation itself is pure Perl, although the
heavy-duty mathematics underneath are provided by the
Math::Pari library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.170.0-8pclos2017
- rebuild against updates

